ApiRangerPolicyList (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiRangerPolicyList

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiListBase
  - - com.cloudera.api.swagger.model.ApiRangerPolicyList

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiRangerPolicyList
      extends ApiListBase

  Holds information about local (#getPolicies()) and remote (#getRemotePolicies()) policies defined in Ranger.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRangerPolicyList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRangerPolicyList` | `addPoliciesItem(ApiRangerPolicy policiesItem)`
    `ApiRangerPolicyList` | `addRemotePoliciesItem(ApiRangerPolicy remotePoliciesItem)`
    `boolean` | `equals(Object o)`
    `List<ApiRangerPolicy>` | `getPolicies()` Get policies
    `List<ApiRangerPolicy>` | `getRemotePolicies()` Get remotePolicies
    `int` | `hashCode()`
    `ApiRangerPolicyList` | `policies(List<ApiRangerPolicy> policies)`
    `ApiRangerPolicyList` | `remotePolicies(List<ApiRangerPolicy> remotePolicies)`
    `void` | `setPolicies(List<ApiRangerPolicy> policies)`
    `void` | `setRemotePolicies(List<ApiRangerPolicy> remotePolicies)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRangerPolicyList

          public ApiRangerPolicyList()

  - ### Method Detail

    - #### policies

          public ApiRangerPolicyList policies(List<ApiRangerPolicy> policies)

    - #### addPoliciesItem

          public ApiRangerPolicyList addPoliciesItem(ApiRangerPolicy policiesItem)

    - #### getPolicies

          public List<ApiRangerPolicy> getPolicies()

      Get policies
      Returns:
        policies

    - #### setPolicies

          public void setPolicies(List<ApiRangerPolicy> policies)

    - #### remotePolicies

          public ApiRangerPolicyList remotePolicies(List<ApiRangerPolicy> remotePolicies)

    - #### addRemotePoliciesItem

          public ApiRangerPolicyList addRemotePoliciesItem(ApiRangerPolicy remotePoliciesItem)

    - #### getRemotePolicies

          public List<ApiRangerPolicy> getRemotePolicies()

      Get remotePolicies
      Returns:
        remotePolicies

    - #### setRemotePolicies

          public void setRemotePolicies(List<ApiRangerPolicy> remotePolicies)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ApiListBase`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ApiListBase`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ApiListBase`

Copyright © 2026. All rights reserved.